package cn.iocoder.yudao.module.system.service.elderly;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlySafeCheckElderPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlySafeCheckElderPageRespVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlySafeCheckPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlySafeCheckRespVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlySafeCheckSaveReqVO;

import javax.validation.Valid;
import java.util.List;

public interface ElderlySafeCheckService {

    Integer createBatch(@Valid List<ElderlySafeCheckSaveReqVO> createReqList);

    void update(@Valid ElderlySafeCheckSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlySafeCheckRespVO get(Long id);

    PageResult<ElderlySafeCheckElderPageRespVO> getElderPage(ElderlySafeCheckElderPageReqVO pageReqVO);

    PageResult<ElderlySafeCheckRespVO> getPage(ElderlySafeCheckPageReqVO pageReqVO);
}
